#!/usr/bin/env python

import gtk
import gnomeapplet

class PyDicApplet(gtk.HBox):
	def __init__(self, applet):
		gtk.HBox.__init__(self, spacing=3)
		entry = gtk.Entry()
		entry.connect("key_press_event", self.entry_cb)
		self.add(entry)

		button = gtk.Button("TEST BUTTON")
		self.pack_end(button, gtk.FALSE)
		self.win = pydic.MainWindow()

	def entry_cb(self, widget, event):
		key = event.keyval
		
		if key == 65293:
			self.win.Show(True)
			self.win.search(entry.get_text())

	def button_press_cb(self, widget, event, applet):
		if event.button == 3:
			applet.emit("button_press_event", event)
			return gtk.FALSE

	def buttob_cb(self, widget, entry):
		pass

def destroy_cb(applet, widget):
	pass

def sleeper():
	gtk.timeout_add(33, sleeper)
	time.sleep(0.001)

def dic_factory(applet, iid):
	gtk.timeout_add(33, sleeper)
	d = PyDicApplet(applet)
	applet.connect("destroy", destroy_cb, d)
	applet.add(d)
	applet.show_all()

	return gtk.TRUE

gnomeapplet.bonobo_factory("OAFIID:GNOME_dic_factory",
							gnomeapplet.Applet.__gtype__,
							"pydic", "0", dic_factory)